> ## Documentation Index
> Fetch the complete documentation index at: https://doc.heat-solutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API health status

> Returns 204 when the service is operational, 503 when unavailable. Request timeouts should also be treated as service unavailability.



## OpenAPI

````yaml /cloud-api/openapi.json get /api/v1/public/health
openapi: 3.0.3
info:
  title: H.E.A.T. Cloud API
  version: 1.0.0
servers:
  - url: https://cloud.heat-solutions.com
security:
  - bearerAuth: []
paths:
  /api/v1/public/health:
    get:
      tags:
        - Health
      summary: Get API health status
      description: >-
        Returns 204 when the service is operational, 503 when unavailable.
        Request timeouts should also be treated as service unavailability.
      operationId: getHealth
      responses:
        '204':
          description: Service is operational
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerError'
      security: []
components:
  schemas:
    ServerError:
      additionalProperties: false
      example:
        error: internal_server_error
        message: An unexpected error occurred
      type: object
      required:
        - error
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````